## com.fasterxml.jackson.core.util
Interface Instantiatable<T>

All Known Implementing Classes:
  DefaultPrettyPrinter

    public interface Instantiatable<T>

Add-on interface used to indicate things that may be "blueprint" objects which can not be used as is, but are used for creating usable per-process (serialization, deserialization) instances, using `createInstance()` method.

Note that some implementations may choose to implement `createInstance()` by simply returning 'this': this is acceptable if instances are stateless.

Since:
  2.1
See Also:
  `DefaultPrettyPrinter`

Method Summary
`T` `createInstance()` Method called to ensure that we have a non-blueprint object to use; it is either this object (if stateless), or a newly created object with separate state.

Method Detail

### createInstance

    T createInstance()

  Method called to ensure that we have a non-blueprint object to use; it is either this object (if stateless), or a newly created object with separate state.

Copyright © 2008-2016 FasterXML. All Rights Reserved.